This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 19315 - DataObject editor should allow specification of initial selection & context
Summary: DataObject editor should allow specification of initial selection & context
Status: RESOLVED WONTFIX
Alias: None
Product: platform
Classification: Unclassified
Component: Property Editors (show other bugs)
Version: 3.x
Hardware: All All
: P3 blocker (vote)
Assignee: Jiri Rechtacek
URL:
Keywords:
Depends on:
Blocks: 19851
  Show dependency tree
 
Reported: 2002-01-11 05:07 UTC by Rochelle Raccah
Modified: 2008-12-22 09:50 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rochelle Raccah 2002-01-11 05:07:35 UTC
The DataObject editor has a hint for currentFolder and has a "value", but I'm
not sure how these work exactly.  What I'm looking for is the ability to:
1) Have the node be selected if there is a value (should be working, but filed
in issue 19312)
2) If there is no value, specify an initial (explored) context for the tree (I
thought this was currentFolder, but I don't know how it works)
3) If there is no value, specify an initial selection which is not accepted as
"value" unless the user hits okay.
Comment 1 Rochelle Raccah 2002-01-11 05:47:43 UTC
#3 may be helped by the solution to issue 18553 (the cloned env
suggestion).
Comment 2 Marek Grummich 2002-07-22 08:34:54 UTC
Target milestone was changed from '3.4' to TBD.
Comment 3 Marek Grummich 2002-07-22 08:49:44 UTC
Target milestone was changed from '3.4' to TBD.
Comment 4 akemr 2002-10-24 14:21:16 UTC
Fixed in trunk (DataObjectEditor rev. 1.10)

2) and 3) can be both specified by currentFolder property. Despite the
fact, that this property is called "folder", it's documented as
"selected data object right after displaying the component" in
Explorer API doc:
http://www.netbeans.org/download/apis/org/openide/explorer/doc-files/api.html#core_editors_custom_parameters
Comment 5 Rochelle Raccah 2002-12-18 23:15:38 UTC
I tried to verify this and had to mount openide-deprecated and some
other jars.  I finally got it to run, but I can not see the fix
because the node doesn't have Properties in its right click menu and
the ... from the global property sheet brings up an explorer with all
the filesystems but none of them are expandable, so the initial
selection can't be shown even if it is set.  Can you help?
Comment 6 Rochelle Raccah 2003-07-09 00:38:01 UTC
Please address the trouble I had in verifying the fix.
Comment 7 _ tboudreau 2004-04-19 14:53:13 UTC
Passing property editor issues to new owner, Jirka
Comment 8 Jiri Rechtacek 2008-10-16 15:42:07 UTC
It's not planned for long time. It's fair to close as WONTFIX